Imports VERAG_PROG_ALLGEMEIN.SQL

Public Class frmFaktAufschubHinzufügen

    Dim ZKTEING As VERAG_PROG_ALLGEMEIN.cZkteing = Nothing

    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub



    Sub New(Index)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        ZKTEING = New VERAG_PROG_ALLGEMEIN.cZkteing(Index)

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
    Private Sub btn_Click(sender As Object, e As EventArgs) Handles btnOK.Click
        getValues()

        If checkVALID() Then
            If ZKTEING.SAVE() Then
                Me.Close()
            End If
        End If
    End Sub

    Function checkVALID()
        Label16.Text = ""
        If txtBezugsnr.Text = "" Then Label16.Text = "Bezugsnummer darf nicht leer sein!" : Return False
        If cboLeistung._value = "" Then Label16.Text = "Leistung darf nicht leer sein!" : Return False
        If txtBelegart.Text = "" Then Label16.Text = "Belegart darf nicht leer sein!" : Return False
        If txtEingabedatum.Text = "" Then Label16.Text = "Eingabedatum darf nicht leer sein!" : Return False
        If txtUebernahmedatum.Text = "" Then Label16.Text = "Übernahmedatum darf nicht leer sein!" : Return False
        If Not IsNumeric(txtBetrag.Text) Then Label16.Text = "Betrag darf nicht leer sein!" : Return False
        If CDbl(txtBetrag.Text) = 0 Then Label16.Text = "Betrag darf nicht 0 sein!" : Return False
        Return True
    End Function

    Sub setValues()
        If ZKTEING Is Nothing Then ZKTEING = New VERAG_PROG_ALLGEMEIN.cZkteing

        txtStatus.Text = If(ZKTEING.Status, "")
        txtZollamtsNr.Text = If(ZKTEING.ZollamtsNr, "")
        txtJahr.Text = If(ZKTEING.Jahr, "")
        txtKennnr.Text = If(ZKTEING.KennNr, "")
        txtNummer.Text = If(ZKTEING.Nummer, "")
        txtLeitzahl.Text = If(ZKTEING.Leitzahl, "")
        txtBelegart.Text = If(ZKTEING.Belegart, "")
        cboLeistung.changeItem(If(ZKTEING.LeistungsNr, ""))
        txtBetrag.Text = If(ZKTEING.Betrag, "")
        txtEingabedatum.Text = ZKTEING.Eingabedatum.ToShortDateString
        txtAbfertigungsdatum.Text = If(ZKTEING.Abfertigungsdatum, "")
        txtUebernahmedatum.Text = ZKTEING.Übernahmedatum.ToShortDateString
        txtBemerkung.Text = If(ZKTEING.Bemerkung, "")
        txtSachbearbeiter.Text = ZKTEING.Sachbearbeiter
        txtBezugsnr.Text = If(ZKTEING.Bezugsnummer, "")
        txtRegNr.Text = If(ZKTEING.Registriernummer, "")
        txtKorrekturNr.Text = If(ZKTEING.Korrekturnummer, "")
        txtOFD.Text = If(ZKTEING.AOFD, "")
        txtAufschubktoNr.Text = If(ZKTEING.AKTO, "")
        txtFaelligkeitsdatum.Text = If(ZKTEING.Fälligkeitsdatum, "")
    End Sub


    Sub getValues()
        If ZKTEING Is Nothing Then ZKTEING = New VERAG_PROG_ALLGEMEIN.cZkteing
        'Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL

        ZKTEING.Status = isNullNothing(txtStatus.Text)
        ZKTEING.ZollamtsNr = isNullNothing(txtZollamtsNr.Text)
        ZKTEING.Jahr = isNullNothing(txtJahr.Text)
        ZKTEING.KennNr = isNullNothing(txtKennnr.Text)
        ZKTEING.Nummer = isNullNothing(txtNummer.Text)
        ZKTEING.Leitzahl = isNullNothing(txtLeitzahl.Text)
        ZKTEING.Belegart = isNullNothing(txtBelegart.Text)
        ZKTEING.LeistungsNr = isNullNothing(cboLeistung._value)
        If IsNumeric(txtBetrag.Text) Then ZKTEING.Betrag = CDbl(txtBetrag.Text)
        ZKTEING.Eingabedatum = isNullNothing(txtEingabedatum.Text)
        ZKTEING.Abfertigungsdatum = isNullNothing(txtAbfertigungsdatum.Text)
        ZKTEING.Übernahmedatum = isNullNothing(txtUebernahmedatum.Text)
        ZKTEING.Bemerkung = isNullNothing(txtBemerkung.Text)
        ZKTEING.Sachbearbeiter = isNullNothing(txtSachbearbeiter.Text)
        ZKTEING.Bezugsnummer = isNullNothing(txtBezugsnr.Text)
        ZKTEING.Registriernummer = isNullNothing(txtRegNr.Text)
        ZKTEING.Korrekturnummer = isNullNothing(txtKorrekturNr.Text)
        ZKTEING.AOFD = isNullNothing(txtOFD.Text)
        ZKTEING.AKTO = isNullNothing(txtAufschubktoNr.Text)
        ZKTEING.Fälligkeitsdatum = isNullNothing(txtFaelligkeitsdatum.Text)
        'ZKTEING.Dateiname =
        'ZKTEING.Mandant =
        'ZKTEING.Niederlassung = 
    End Sub

    Private Sub frmFaktAufschubHinzufügen_Load(sender As Object, e As EventArgs) Handles Me.Load
        cboLeistung.fillWithSQL("SELECT [LeistungsNr],[LeistungsBez] FROM [Leistungen] Order By LeistungsNr", True, "FMZOLL")
        'txtUebernahmedatum.Text = Now.ToShortDateString
        'txtEingabedatum.Text = Now.ToShortDateString
        'txtSachbearbeiter.Text = VERAG_PROG_ALLGEMEIN.cAllgemein.USRKURZNAME
        setValues()

    End Sub

    Private Sub txtStatus_TextChanged(sender As Object, e As EventArgs) Handles txtStatus.TextChanged
        Select Case sender.text
            Case "X", "F", "A", ""
            Case Else
                sender.text = ""
        End Select
    End Sub
End Class